# Use system or static libtorrent(-rasterbar)?
%define sys_libtorrent	1

Summary:	Full-featured GTK+ Bittorrent client
Name:		deluge
Version:	1.3.15
Release:	%mkrel 1
License:	GPLv3+ with exceptions
Group:		Networking/File transfer
Url:		http://deluge-torrent.org/
Source0:	http://download.deluge-torrent.org/source/%{name}-%{version}.tar.xz
# (Debian) add patch to disable checking for updates by default
Patch0:		new_release_check.patch
Patch1:		deluge-1.1.8-use-multithreaded-boost.patch
# Prevent crashes in Create Torrent dialog for non-English languages
Patch2:		deluge-1.3.12-fdo-createtorrentdialog.patch

BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	boost-devel
BuildRequires:	libz-devel
BuildRequires:	openssl-devel
BuildRequires:	imagemagick
BuildRequires:	python-setuptools
BuildRequires:	intltool
%if %sys_libtorrent
BuildRequires:	python-libtorrent-rasterbar >= 0.14.9
%endif
Requires:	librsvg2
Requires:	pyxdg
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gnomevfs
Requires:	python-twisted-web
Requires:	python-notify
Requires:	python-OpenSSL
Requires:	python-chardet
Requires:	python-pkg-resources
Requires:	pygame
Requires:	xdg-utils
Recommends:	geoip
# for the web UI
Requires:	python-mako
%if %sys_libtorrent
Requires:	python-libtorrent-rasterbar >= 0.14.9
BuildArch:	noarch
%endif

%description
Deluge is a Bittorrent client. Deluge is intended to bring a native,
full-featured client to Linux GTK+ desktop environments such as GNOME
and XFCE.

%prep
%autosetup -p1

%build
%ifarch x86_64 sparc64
	CFLAGS="%{optflags} -DAMD64" python setup.py build
%else
	CFLAGS="%{optflags}" python setup.py build
%endif

%install
python ./setup.py install --root=%{buildroot}

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install \
  --add-category="GTK" \
  --add-category="P2P" \
  --add-category="FileTransfer" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*

## NOTE: The lang files should REEEAALLLY be in a standard place such as
##       /usr/share/locale or similar. It'd make things so much nicer for
##       the packaging. :O
## A bit of sed magic to mark the translation files with %%lang, taken from
## find-lang.sh (part of the rpm-build package) and tweaked somewhat. We
## cannot (unfortunately) call find-lang directly since it's not on a
## "$PREFIX/share/locale/"-ish directory tree.

pushd %{buildroot}
    find -type f -o -type l \
        | sed '
            s:%{buildroot}%{python_sitelib}::
            s:^\.::
            s:\(.*/deluge/i18n/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
            s:^\([^%].*\)::
            s:%lang(C) ::
            /^$/d' \
    > %{name}.lang

## Now we move that list back to our sources, so that '%%files -f' can find it
## properly.
popd && mv %{buildroot}/%{name}.lang .

%files -f %{name}.lang
%doc ChangeLog
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%if sys_libtorrent
%{py_puresitedir}/*
%else
%{py_platsitedir}/*
%endif
%{_datadir}/pixmaps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}*.1.*


%changelog
* Wed May 17 2017 tarakbumba <tarakbumba> 1.3.15-1.mga6
+ Revision: 1102454
- Update to 1.3.15 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.3.14-1.mga6
+ Revision: 1092561
- Update to 1.3.14 version

* Mon Feb 06 2017 tarakbumba <tarakbumba> 1.3.13-1.mga6
+ Revision: 1084900
- Updated to 1.3.13 version

* Fri Feb 19 2016 umeabot <umeabot> 1.3.12-2.mga6
+ Revision: 970348
- Mageia 6 Mass Rebuild

* Sun Oct 04 2015 tarakbumba <tarakbumba> 1.3.12-1.mga6
+ Revision: 886063
- Update to 1.3.12 version

* Mon Jun 29 2015 tarakbumba <tarakbumba> 1.3.11-2.mga6
+ Revision: 847305
- Add upstream patch for Twisted 15 compatibility

* Tue Jan 06 2015 tarakbumba <tarakbumba> 1.3.11-1.mga5
+ Revision: 808812
- Update to 1.3.11 version (mga#14891)

* Wed Nov 05 2014 tarakbumba <tarakbumba> 1.3.10-1.mga5
+ Revision: 795851
- Update to version 1.3.10

* Wed Oct 15 2014 umeabot <umeabot> 1.3.7-4.mga5
+ Revision: 740782
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.7-3.mga5
+ Revision: 726080
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.7-2.mga5
+ Revision: 678710
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Jul 11 2014 fwang <fwang> 1.3.7-1.mga5
+ Revision: 651293
- update file list
- 1.3.7

* Sat May 31 2014 pterjan <pterjan> 1.3.6-6.mga5
+ Revision: 628155
- Rebuild for new Python

* Thu Feb 06 2014 tarakbumba <tarakbumba> 1.3.6-5.mga5
+ Revision: 584021
-Fix _parse() function was replaced by the _URI class error (mga#12621)
-Cleanup spec file from deprecated macros and file permissions.

* Tue Oct 22 2013 umeabot <umeabot> 1.3.6-4.mga4
+ Revision: 542538
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.3.6-3.mga4
+ Revision: 497685
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 09 2013 fwang <fwang> 1.3.6-2.mga4
+ Revision: 451732
- rebuild for new boost

* Tue Feb 26 2013 mitya <mitya> 1.3.6-1.mga3
+ Revision: 400375
- New version 1.3.6

* Fri Jan 11 2013 umeabot <umeabot> 1.3.5-2.mga3
+ Revision: 348721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 fwang <fwang> 1.3.5-1.mga3
+ Revision: 253850
- new version 1.3.5

* Wed Mar 07 2012 fwang <fwang> 1.3.4-1.mga2
+ Revision: 220764
- new version 1.3.4
- br intltool
- new version 1.3.3

* Tue Jun 28 2011 fwang <fwang> 1.3.2-1.mga2
+ Revision: 115024
- sync spec with mandriva
- new version 1.3.2

* Wed Jan 26 2011 ahmad <ahmad> 1.3.1-2.mga1
+ Revision: 41360
- drop old/unneeded scriptlets
- update the runtime requires and BR according to
  http://dev.deluge-torrent.org/wiki/Installing/Source :
   o BR boost-devel, libz-devel, openssl-devel is only needed if not using the
      system libtorrent-rasterbar (i.e. only needed if building the bundled libtorrent)
   o python-simplejson only needed with python < 2.6
   o add runtime requires on pygame, xdg-utils (needed for the GTK UI)
   o add suggests on geoip
   o add runtime requires on python-make (needed for the Web UI)
- imported package deluge

